// $Id$
// Calendar
.viewmode {
	line-height: 1em;
	padding: 1px;
	text-align: center;
	width: 100%;
	div {
		display: inline;
	}
	.btn-toolbar > .btn {
		margin-left: 3px;
		margin-right: 3px;
	}
}

.calhours {
	vertical-align: middle;
	text-align: center;
	border: 1px solid $table-border-color;
}

.calweek {
	border: 1px solid $table-border-color;
}

.box-data .calnavigation {
	font-size: 1.1em;
	font-weight: 700;
	margin: -20px 0 0;
	padding: 4px;
	text-align: center;
}

.calhighlight {
	color: $info;
	background: lighten($info, 70%);
}

a.fc-event:hover {
	color: $tooltip-color;
}

@media (min-width: 768px) {
	#calendar_dialog .modal-dialog {
		min-width: 750px;
		width: 80%;
	}
}

// Event edit popup in FullCalendar: convert non-modal page heading appearance to modal appearance
#calendar_dialog .modal-content {
	h1.pagetitle {
		padding: 15px;
		margin: 0;
		font-size: 18px;
	}
	.modal-header {
		margin-top: -63px;
	}
}

.calendarweek {
	border-bottom: 1px solid $calendarweek-bottom-border-color;
}

#calprio {
	color: $body-color;
}
.calprio1 {
	background: $calprio1;
}

.calprio2 {
	background: $calprio2;
}

.calprio3 {
	background: $calprio3;
}

.calprio4 {
	background: $calprio4;
}

.calprio5 {
	background: $calprio5;
}

.calprio6 {
	background: $calprio6;
}

.calprio7 {
	background: $calprio7;
}

.calprio8 {
	background: $calprio8;
}

.calprio9 {
	background: $calprio9;
}

.calprio1 a,
.calprio2 a,
.calprio3 a,
.calprio4 a,
.calprio5 a,
.calprio6 a,
.calprio7 a,
.calprio8 a,
.calprio9 a {
	color: $body-color;
	font-weight: normal;
}

.status0,
.status1,
.status2 {
	border: 1px solid $body-color;
	color: $body-color;
}

.status0 {
	background: $info;
}

.status1 {
	background: $success;
}

.status2 {
	background: $danger;
}

@media (min-width: breakpoint-min(lg)) {
	.col1 .table-responsive > .caltable {
		table-layout: auto;
		.weeks { padding: 8px; }
	}
}

@media (max-width: breakpoint-max(sm)) {
	.tiki_calendar .col1 #editcalitem {
		.modal-body {
			padding-left: 0;
			padding-right: 0;
		}
	}

	#editcalitem {
		.wikitext .summary { padding-top: 0 !important; }
		label { padding-bottom: 0; font-weight: bold; }
	}

	#filtercal {
		left: 0;
	}
}
